Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041484
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformminorhave not tried2019-07-30 12:282020-09-23 06:44
ReporteralostaleView Statuspublic 
Assigned Tocberner 
PrioritynormalResolutionfixedFixed in VersionPR20Q4
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041484: make job scheduling clusterizable

DescriptionMake it possible to run job scheduler in all the different nodes in a cluster.

More information: http://wiki.openbravo.com/wiki/Projects:Quartz_Clusterization [^]
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0044963 closedcberner Change quartz.properties to be a .template instead of a versioned file 
related to defect 0044969 closedcberner Execute quartz scheduling tests in both clustered and non-clustered mode 
depends on feature request 0041483 closedcaristu update quartz 
depends on defect 0041460 closedalostale A foreign key composed of more than 1 field will produced duplicated information when the database is exported by DBSM 
depends on defect 0041503 closedmauricio_peccorini DBSM doesn't handle not null BLOB columns correctly in Oracle 
related to defect 0044997 closedcberner missplaced "Cluster Instance" menu entry 
related to defect 0045022 closedcberner Add missing description/help in AD_Table and AD_Windows from clustered quartz 
blocks design defect 0034490 acknowledgedplatform [clustering] Support clustering 
causes defect 0044952 closedcberner Fix added column in AD_PROCESS breaking CI 
causes defect 0045006 closedcberner unstable background scheduler jUnit test 

-  Notes
(0122451)
AugustoMauch (developer)
2020-08-30 18:05

Merge request: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/99 [^]
(0122495)
hgbot (developer)
2020-08-31 14:18

Repository: https://gitlab.com/openbravo/product/openbravo [^]
Changeset: b8b98998a65cf4a623b48b5da19896e61ce68d28
Author: Cristian Berner <cristian.berner@openbravo.com>
Date: 2020-08-31T14:11:30+02:00
URL: https://gitlab.com/openbravo/product/openbravo/-/commit/b8b98998a65cf4a623b48b5da19896e61ce68d28 [^]

Fixes ISSUE-41484: Allow background job scheduling to be clusterizable

Previously background processes could only be scheduled on a single
instance of a cluster. With these changes it is now possible to configure
multiple instances to schedule background processes.

Merges quartz-cluster project.

Project page: http://wiki.openbravo.com/wiki/Projects:Quartz_Clusterization [^]
Merge request: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/99 [^]

---
A src-db/database/model/tables/AD_CLUSTER_INSTANCE.xml
A src-db/database/model/tables/AD_PROCESS_CLUSTER_INST.xml
A src-db/database/model/tables/OBSCHED_BLOB_TRIGGERS.xml
A src-db/database/model/tables/OBSCHED_CALENDARS.xml
A src-db/database/model/tables/OBSCHED_CRON_TRIGGERS.xml
A src-db/database/model/tables/OBSCHED_FIRED_TRIGGERS.xml
A src-db/database/model/tables/OBSCHED_JOB_DETAILS.xml
A src-db/database/model/tables/OBSCHED_LOCKS.xml
A src-db/database/model/tables/OBSCHED_PAUSED_TRIGGER_GRPS.xml
A src-db/database/model/tables/OBSCHED_SCHEDULER_STATE.xml
A src-db/database/model/tables/OBSCHED_SIMPLE_TRIGGERS.xml
A src-db/database/model/tables/OBSCHED_SIMPROP_TRIGGERS.xml
A src-db/database/model/tables/OBSCHED_TRIGGERS.xml
A src-db/database/model/triggers/OBSCHED_BLOB_TRIGGERS_TRG.xml
A src-db/database/model/triggers/OBSCHED_CALENDARS_TRG.xml
A src-db/database/model/triggers/OBSCHED_CRON_TRIGGERS_TRG.xml
A src-db/database/model/triggers/OBSCHED_FIRED_TRIGGERS_TRG.xml
A src-db/database/model/triggers/OBSCHED_JOB_DETAILS_TRG.xml
A src-db/database/model/triggers/OBSCHED_LOCKS_TRG.xml
A src-db/database/model/triggers/OBSCHED_PAUSED_TRI_GRPS_TRG.xml
A src-db/database/model/triggers/OBSCHED_SCHEDULER_STATE_TRG.xml
A src-db/database/model/triggers/OBSCHED_SIMPLE_TRIGGERS_TRG.xml
A src-db/database/model/triggers/OBSCHED_SIMPROP_TRIGGERS_TRG.xml
A src-db/database/model/triggers/OBSCHED_TRIGGERS_TRG.xml
A src/org/openbravo/erpCommon/ad_callouts/BackgroundProcessClusterConfig.java
A src/org/openbravo/scheduling/ClusterInstanceProcessAccess.java
A src/org/openbravo/scheduling/KillableProcessHandler.java
A src/org/openbravo/scheduling/OBSchedulerMBean.java
A src/org/openbravo/scheduling/quartz/JobInitializationListener.java
A src/org/openbravo/scheduling/quartz/OpenbravoCalendarIntervalTriggerPersistenceDelegate.java
A src/org/openbravo/scheduling/quartz/OpenbravoDailyTimeIntervalTriggerPersistenceDelegate.java
A src/org/openbravo/scheduling/quartz/OpenbravoDriverDelegate.java
A src/org/openbravo/scheduling/quartz/OpenbravoInstanceIdGenerator.java
A src/org/openbravo/scheduling/quartz/OpenbravoJDBCDelegate.java
A src/org/openbravo/scheduling/quartz/OpenbravoJDBCPersistenceSupport.java
A src/org/openbravo/scheduling/quartz/OpenbravoOracleJDBCDelegate.java
A src/org/openbravo/scheduling/quartz/OpenbravoPersistentJobStore.java
A src/org/openbravo/scheduling/quartz/OpenbravoPostgreJDBCDelegate.java
A src/org/openbravo/scheduling/quartz/QuartzConnectionProvider.java
M config/quartz.properties
M modules/org.openbravo.advpaymentmngt/src-db/database/sourcedata/AD_PROCESS.xml
M modules/org.openbravo.financial.paymentreport/src-db/database/sourcedata/AD_PROCESS.xml
M modules/org.openbravo.reports.ordersawaitingdelivery/src-db/database/sourcedata/AD_PROCESS.xml
M modules/org.openbravo.utility.cleanup.log/src-db/database/sourcedata/AD_PROCESS.xml
M src-core/src/org/openbravo/base/ConfigParameters.java
M src-db/database/model/tables/AD_PROCESS.xml
M src-db/database/model/tables/AD_PROCESS_RUN.xml
M src-db/database/model/views/AD_PROCESS_EXECUTION_V.xml
M src-db/database/sourcedata/AD_CALLOUT.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/AD_FIELDGROUP.xml
M src-db/database/sourcedata/AD_MENU.xml
M src-db/database/sourcedata/AD_MESSAGE.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT.xml
M src-db/database/sourcedata/AD_MODULE_DBPREFIX.xml
M src-db/database/sourcedata/AD_PACKAGE.xml
M src-db/database/sourcedata/AD_PROCESS.xml
M src-db/database/sourcedata/AD_TAB.xml
M src-db/database/sourcedata/AD_TABLE.xml
M src-db/database/sourcedata/AD_TREENODE.xml
M src-db/database/sourcedata/AD_WINDOW.xml
M src-test/src/org/openbravo/scheduling/trigger/MisfirePolicyTest.java
M src/org/openbravo/base/OBSchedulerInitializerListener.java
M src/org/openbravo/common/actionhandler/KillProcess.java
M src/org/openbravo/erpCommon/ad_process/ScheduleProcess.java
M src/org/openbravo/erpCommon/ad_process/UnscheduleProcess.java
M src/org/openbravo/scheduling/OBScheduler.java
M src/org/openbravo/scheduling/ProcessBundle.java
M src/org/openbravo/scheduling/ProcessContext.java
M src/org/openbravo/scheduling/ProcessMonitor.java
M src/org/openbravo/scheduling/ProcessRun_data.xsql
M src/org/openbravo/scheduling/ProcessRunner.java
---
(0123286)
hgbot (developer)
2020-09-22 13:36

Merge Request created: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/176 [^]
(0123303)
hgbot (developer)
2020-09-23 06:44

Repository: https://gitlab.com/openbravo/product/openbravo [^]
Changeset: b8c7dee0f01f099118cc3e65dde778453273d6c2
Author: Cristian Berner <cristian.berner@openbravo.com>
Date: 2020-09-22T13:33:30+02:00
URL: https://gitlab.com/openbravo/product/openbravo/-/commit/b8c7dee0f01f099118cc3e65dde778453273d6c2 [^]

Related to ISSUE-41484: Temporarily disable test case checkMisfirePolicy

MisfirePolicyTest testcase checkMisfirePolicy is unstable but not
consistently when in a clustered configuration. The test is disabled (ignored)
until completely fixed or substituted by similar tests.

---
M src-test/src/org/openbravo/scheduling/trigger/MisfirePolicyTest.java
---
(0123304)
hgbot (developer)
2020-09-23 06:44

Merge request merged: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/176 [^]

- Issue History
Date Modified Username Field Change
2019-07-30 12:28 alostale New Issue
2019-07-30 12:28 alostale Assigned To => platform
2019-07-30 12:28 alostale Modules => Core
2019-07-30 12:28 alostale Triggers an Emergency Pack => No
2019-07-30 12:29 alostale Status new => acknowledged
2019-07-30 12:29 alostale Description Updated View Revisions
2019-07-30 12:29 alostale Relationship added depends on 0041483
2019-07-30 12:30 alostale Relationship added blocks 0034490
2019-07-30 12:31 alostale Relationship added depends on 0041460
2019-07-31 12:03 mauricio_peccorini Relationship added depends on 0041503
2020-08-30 18:05 AugustoMauch Status acknowledged => scheduled
2020-08-30 18:05 AugustoMauch Assigned To platform => cberner
2020-08-30 18:05 AugustoMauch Note Added: 0122451
2020-08-31 14:18 hgbot Resolution open => fixed
2020-08-31 14:18 hgbot Status scheduled => resolved
2020-08-31 14:18 hgbot Fixed in Version => PR20Q4
2020-08-31 14:18 hgbot Note Added: 0122495
2020-09-03 06:53 alostale Relationship added causes 0044952
2020-09-03 06:54 alostale Relationship added related to 0044963
2020-09-03 06:54 alostale Review Assigned To => AugustoMauch
2020-09-03 06:54 alostale Status resolved => closed
2020-09-03 07:08 alostale Relationship added related to 0044969
2020-09-07 08:08 alostale Relationship added related to 0044997
2020-09-07 15:43 alostale Relationship added causes 0045006
2020-09-10 10:12 cberner Relationship added causes 0045022
2020-09-10 10:12 cberner Relationship deleted causes 0045022
2020-09-10 10:13 cberner Relationship added related to 0045022
2020-09-22 13:36 hgbot Note Added: 0123286
2020-09-23 06:44 hgbot Note Added: 0123303
2020-09-23 06:44 hgbot Note Added: 0123304


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker